## Class TMssqlTableInfo

Description

TMssqlTableInfo class provides additional table information for Mssql database.

- since: 3.1
- version: $Id: TMssqlTableInfo.php 1861 2007-04-12 08:05:03Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/Common/Mssql/TMssqlTableInfo.php (line 27)

    TComponent
       |
       --TDbTableInfo
          |
          --TMssqlTableInfo

Method Summary
TDbCommandBuilder createCommandBuilder (TDbConnection $connection)
string getCatalogName ()
string getSchemaName ()
string getTableFullName ()
Methods
createCommandBuilder (line 58)

- return: new command builder
- access: public

TDbCommandBuilder createCommandBuilder (TDbConnection $connection)

- TDbConnection $connection: database connection.

Redefinition of:

TDbTableInfo::createCommandBuilder()

getCatalogName (line 40)

- return: catalog name (database name)
- access: public

string getCatalogName ()
getSchemaName (line 32)

- return: name of the schema this column belongs to.
- access: public

string getSchemaName ()
getTableFullName (line 48)

- return: full name of the table, database dependent.
- access: public

string getTableFullName ()

Redefinition of:

TDbTableInfo::getTableFullName()

#### Inherited Methods

Inherited From TDbTableInfo

> TDbTableInfo::__construct()
> TDbTableInfo::createCommandBuilder()
> TDbTableInfo::getColumn()
> TDbTableInfo::getColumnNames()
> TDbTableInfo::getColumns()
> TDbTableInfo::getForeignKeys()
> TDbTableInfo::getInfo()
> TDbTableInfo::getIsView()
> TDbTableInfo::getLowerCaseColumnNames()
> TDbTableInfo::getPrimaryKeys()
> TDbTableInfo::getTableFullName()
> TDbTableInfo::getTableName()
> TDbTableInfo::setInfo()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:38 -0400 by phpDocumentor 1.3.0RC4